:root {
    --width-12: 100%;
    --width-11: 91.66666667%;
    --width-10: 83.33333333%;
    --width-9: 75%;
    --width-8: 66.66666667%;
    --width-7: 58.33333333%;
    --width-6: 50%;
    --width-5: 41.66666667%;
    --width-4: 33.33333333%;
    --width-3: 25%;
    --width-2: 16.66666667%;
    --width-1: 8.33333333%;

    --root-font-size: 16px;
    --font-size-xs: 0.4rem;
    --font-size-s: 0.8rem;
    --font-size-m: 1rem;
    --font-size-l: 2rem;
    --font-size-xl: 3rem;

    --font-color-link: #000;
    --font-color-prim: #000;
    --font-color-sec: #CCC;
    --font-color-ci: #f370df;

    --color-black: #000;
    --color-white: #fff;
    --color-green-light: #32de84;
    --color-green-dark: #0f5132;
    --color-red-light: #f8d7da;
    --color-red-dark: #b02a37;
    --color-yellow-light: #ffda6a;
    --color-yellow-dark: #664d03;

    --color-gray: #6c757d;
    --color-gray-100: #f8f9fa;
    --color-gray-200: #eee;
    --color-gray-300: #ddd;
    --color-gray-400: #ced4da;
    --color-gray-500: #adb5bd;
    --color-gray-600: #6c757d;
    --color-gray-700: #495057;
    --color-gray-800: #343a40;
    --color-gray-900: #212529;

    --background-color-primary: #fff;
    --background-color-secundary: #000;
    --background-color-tertiary: #eceff0;
    --background-color-quaternary: #ddd;
    --background-color-ci: #f370df;

    --border-color: var(--color-black);
    --border-color-light: var(--color-gray-300);
    --border-radius: 0.5rem;

    --padding-margin-xs: 0.5rem;
    --padding-margin-s: 1rem;
    --padding-margin-s-m: 1.5rem;
    --padding-margin-m: 2rem;
    --padding-margin-m-l: 2.5rem;
    --padding-margin-l: 3rem;
    --padding-margin-xl: 4rem;
}

*, *::before, *::after {
    box-sizing: border-box;
}

* {
    margin: 0;
    padding: 0;
}

html {
    font-size: var(--root-font-size);
    color: var(--font-color-prim);
    font-family: Helvetica, Arial, serif;
}

ul {
    list-style-type: none;
}

a {
    text-decoration: none;
    color: var(--font-color-link)
}

a:visited {
    color: var(--font-color-prim);
}

a:hover {
    text-decoration: underline;
}

img {
    max-width: 100%;
    height: auto;
}

.shadow {
    box-shadow: 0 .125rem 0.25rem rgba(0, 0, 0, .15);
}

.rounded {
    border-radius: var(--border-radius);
}

.panel {
    max-width: fit-content
}

.btn {
    border: 0;
    font-weight: bold;
    color: var(--color-white);
}

.btn.h-dark:hover {
    filter: brightness(90%);
    outline: 2px solid var(--color-gray-500);
}

.btn.h-bright:hover {
    filter: brightness(110%);
    outline: 2px solid var(--color-gray-400);
}

.btn:hover {
    cursor: pointer;
}

.btn.btn-green {
    background-color: var(--color-green-dark);
}

.btn.btn-red {
    background-color: var(--color-red-dark);
}

hr {
    border: 0;
    border-top: 2px solid var(--color-gray-500);
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

.fluid {
    max-width: 100%;
}

pre {
    background-color: var(--color-gray-500);
    color: var(--color-black);
    border-radius: var(--small);
    margin: var(--medium);
}

.nobr {
    white-space: nowrap;
}

.br {
    white-space: normal;
}

.p-relative {
    position: relative;
}

.p-absolute {
    position: absolute;
}

.p-fixed {
    position: fixed
}

.d-flex {
    display: flex;
}

.d-grid {
    display: grid;
}

.d-block {
    display: block;
}

.d-inline {
    display: inline-block
}

.background-color-ci {
    background-color: var(--background-color-ci);
}

.background-color-ci-inverted {
    background-color: var(--background-color-secundary);
    color: var(--font-color-ci);
}

.background-color-ci-inverted a {
    text-decoration: underline;
}

.background-color-bright {
    background-color: var(--color-gray-300);
    color: var(--color-black);
}

.background-color-bright h3 {
    color: var(--color-black);
}

.video-title {
    margin-bottom: var(--padding-margin-s);
    filter: brightness(90%);
}

.video-yt {
    border: 1px solid var(--color-gray-800);
    position: relative;
    overflow: hidden;
    aspect-ratio: 16 / 9;
    max-width: 100%;
    cursor: pointer;
    background-color: var(--color-gray-900);
    font-size: var(--font-size-s);
}

.video-yt svg {
    display: block;
    width: 100px;
    height: 100%;
    margin: 0 auto;
    fill: #FF0000;
}

.video-yt iframe {
    width: 100%;
    height: 100%;
}

.video-yt::before {
    content: 'Hier klicken um das Youtube-Video abzuspielen';
    position: absolute;
    color: var(--color-white);
    top: var(--padding-margin-xs);
    text-align: center;
    width: 100%;
}

.video-yt.loaded::before {
    content: '';
}

h1, h2 {
    letter-spacing: -2px;
    font-weight: bold;
}

h1 {
    font-size: var(--font-size-l);
    text-transform: uppercase;
}

h2 {
    font-size: var(--font-size-l);
}

h3, h4 {
    font-size: var(--font-size-m);
    margin-bottom: var(--padding-margin-s);
}

.flex {
    display: flex;
    align-items: stretch;
}

.d-inline-block {
    display: inline-block;
}
.center {
    margin: 0 auto;
}

.center-flex {
    justify-content: center;
}

.center-text-img {
    text-align: center;
}

.border {
    outline: 1px solid var(--border-color);
}

.border-dotted {
    outline: 1px dotted var(--border-color);
}

.sticky {
    position: fixed;
    top: 0;
    width: 100%;
}

.sticky + .contentWidth {
    padding-top: 75px;
}

.hidden {
    display: none;
}

table {
    border-spacing: 0;
    width: 100%;
    border: 1px solid var(--border-color-light);
}

th {
    cursor: pointer;
}

th, td {
    text-align: left;
    padding: var(--padding-margin-s);
}

tr:nth-child(even) {
    background-color: var(--background-color-tertiary);
}

.contentWidth {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
}

.row {
    display: flex;
    flex-wrap: wrap;
    padding: var(--padding-margin-m) 0;
}

.col {
    flex: 0 0 auto;
    flex-grow: 1;
    max-height: 100%;
}

.col .content {
    padding: var(--padding-margin-m) var(--padding-margin-s);
}

@media (min-width: 0px) {
    .col-xs-1, .col-sm-1, .col-md-1, .col-lg-1, .col-xl-1 {
        width: var(--width-1);
    }

    .col-xs-2, .col-sm-2, .col-md-2, .col-lg-2, .col-xl-2 {
        width: var(--width-2);
    }

    .col-xs-3, .col-sm-3, .col-md-3, .col-lg-3, .col-xl-3 {
        width: var(--width-3);
    }

    .col-xs-4, .col-sm-4, .col-md-4, .col-lg-4, .col-xl-4 {
        width: var(--width-4);
    }

    .col-xs-5, .col-sm-5, .col-md-5, .col-lg-5, .col-xl-5 {
        width: var(--width-5);
    }

    .col-xs-6, .col-sm-6, .col-md6-, .col-lg-6, .col-xl-6 {
        width: var(--width-6);
    }

    .col-xs-7, .col-sm-7, .col-md-7, .col-lg-7, .col-xl-7 {
        width: var(--width-7);
    }

    .col-xs-8, .col-sm-8, .col-md-8, .col-lg-8, .col-xl-8 {
        width: var(--width-8);
    }

    .col-xs-9, .col-sm-9, .col-md-9, .col-lg-9, .col-xl-9 {
        width: var(--width-9);
    }

    .col-xs-10, .col-sm-10, .col-md-10, .col-lg-10, .col-xl-10 {
        width: var(--width-10);
    }

    .col-xs-11, .col-sm-11, .col-md-11, .col-lg-11, .col-xl-11 {
        width: var(--width-11);
    }

    .col-xs-12, .col-sm-12, .col-md-12, .col-lg-12, .col-xl-12 {
        width: var(--width-12);
    }
}

@media (min-width: 576px) {
    .col-sm-1, .col-md-1, .col-lg-1, .col-xl-1 {
        width: var(--width-1);
    }

    .col-sm-2, .col-md-2, .col-lg-2, .col-xl-2 {
        width: var(--width-2);
    }

    .col-sm-3, .col-md-3, .col-lg-3, .col-xl-3 {
        width: var(--width-3);
    }

    .col-sm-4, .col-md-4, .col-lg-4, .col-xl-4 {
        width: var(--width-4);
    }

    .col-sm-5, .col-md-5, .col-lg-5, .col-xl-5 {
        width: var(--width-5);
    }

    .col-sm-6, .col-md6-, .col-lg-6, .col-xl-6 {
        width: var(--width-6);
    }

    .col-sm-7, .col-md-7, .col-lg-7, .col-xl-7 {
        width: var(--width-7);
    }

    .col-sm-8, .col-md-8, .col-lg-8, .col-xl-8 {
        width: var(--width-8);
    }

    .col-sm-9, .col-md-9, .col-lg-9, .col-xl-9 {
        width: var(--width-9);
    }

    .col-sm-10, .col-md-10, .col-lg-10, .col-xl-10 {
        width: var(--width-10);
    }

    .col-sm-11, .col-md-11, .col-lg-11, .col-xl-11 {
        width: var(--width-11);
    }

    .col-sm-12, .col-md-12, .col-lg-12, .col-xl-12 {
        width: var(--width-12);
    }
}

@media (min-width: 768px) {
    .col-md-1, .col-lg-1, .col-xl-1 {
        width: var(--width-1);
    }

    .col-md-2, .col-lg-2, .col-xl-2 {
        width: var(--width-2);
    }

    .col-md-3, .col-lg-3, .col-xl-3 {
        width: var(--width-3);
    }

    .col-md-4, .col-lg-4, .col-xl-4 {
        width: var(--width-4);
    }

    .col-md-5, .col-lg-5, .col-xl-5 {
        width: var(--width-5);
    }

    .col-md6-, .col-lg-6, .col-xl-6 {
        width: var(--width-6);
    }

    .col-md-7, .col-lg-7, .col-xl-7 {
        width: var(--width-7);
    }

    .col-md-8, .col-lg-8, .col-xl-8 {
        width: var(--width-8);
    }

    .col-md-9, .col-lg-9, .col-xl-9 {
        width: var(--width-9);
    }

    .col-md-10, .col-lg-10, .col-xl-10 {
        width: var(--width-10);
    }

    .col-md-11, .col-lg-11, .col-xl-11 {
        width: var(--width-11);
    }

    .col-md-12, .col-lg-12, .col-xl-12 {
        width: var(--width-12);
    }
}

@media (min-width: 992px) {
    .col-lg-1, .col-xl-1 {
        width: var(--width-1);
    }

    .col-lg-2, .col-xl-2 {
        width: var(--width-2);
    }

    .col-lg-3, .col-xl-3 {
        width: var(--width-3);
    }

    .col-lg-4, .col-xl-4 {
        width: var(--width-4);
    }

    .col-lg-5, .col-xl-5 {
        width: var(--width-5);
    }

    .col-lg-6, .col-xl-6 {
        width: var(--width-6);
    }

    .col-lg-7, .col-xl-7 {
        width: var(--width-7);
    }

    .col-lg-8, .col-xl-8 {
        width: var(--width-8);
    }

    .col-lg-9, .col-xl-9 {
        width: var(--width-9);
    }

    .col-lg-10, .col-xl-10 {
        width: var(--width-10);
    }

    .col-lg-11, .col-xl-11 {
        width: var(--width-11);
    }

    .col-lg-12, .col-xl-12 {
        width: var(--width-12);
    }
}

@media (min-width: 1200px) {
    .col-xl-1 {
        width: var(--width-1);
    }

    .col-xl-2 {
        width: var(--width-2);
    }

    .col-xl-3 {
        width: var(--width-3);
    }

    .col-xl-4 {
        width: var(--width-4);
    }

    .col-xl-5 {
        width: var(--width-5);
    }

    .col-xl-6 {
        width: var(--width-6);
    }

    .col-xl-7 {
        width: var(--width-7);
    }

    .col-xl-8 {
        width: var(--width-8);
    }

    .col-xl-9 {
        width: var(--width-9);
    }

    .col-xl-10 {
        width: var(--width-10);
    }

    .col-xl-11 {
        width: var(--width-11);
    }

    .col-xl-12 {
        width: var(--width-12);
    }
}

.navbar {
    z-index: 2;
    color: var(--font-color-prim);
    box-shadow: 0px 10px 13px -7px rgba(0, 0, 0, 0.11);
    margin-bottom: 2px;
    padding: var(--padding-margin-s) 0;
}

.navbar .navbar-nav {
    display: inline-flex;
    align-items: flex-end;
}

.navbar a:hover.navbar-brand {
    text-decoration: none;
}

@media only screen and (max-width: 576px) {
    .navbar .navbar-brand {
        width: 280px;
    }
    .navbar .navbar-brand img{
        max-width: 100%;
    }
}

.navbar .navbar-nav a {
    display: block;
    padding: var(--padding-margin-s);
    font-weight: bold;
}

.navbar .navbar-nav li a:hover {
    text-decoration: none;
    margin-bottom: -4px;
    border-bottom: 4px solid var(--font-color-prim);
}

.navbar .navbar-nav li .dropdown-menu a{
    border-bottom: unset;
    margin-bottom: unset;
}

.navbar .navbar-brand {
    font-size: var(--font-size-l);
    font-weight: bold;
    padding: var(--padding-margin-s);
    display: inline-block;
    letter-spacing: -1px;
}

.navbar #user svg {

    height: 0.8rem;
}

.dropdown-menu {
    display: none;
    box-shadow: 0px 2px 4px 2px rgba(0, 0, 0, 0.08);
}

.caret {
    display: inline-block;
    vertical-align: middle;
    width: var(--font-size-s);
    content: url("data:image/svg+xml,<svg fill=\'black\' xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 384 512\'><!--! Font Awesome Pro 6.3.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. --><path d=\'M169.4 342.6c12.5 12.5 32.8 12.5 45.3 0l160-160c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 274.7 54.6 137.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l160 160z\'/></svg>");
}

/* Desktop View  Start */
@media (min-width: 768px) {
    .dropdown:hover .dropdown-menu {
        display: block;
        position: absolute;
        margin-top: calc(var(--padding-margin-xs));
        background-color: var(--background-color-primary);
        min-width: 200px;
    }

    .navbar .dropdown:hover .dropdown-menu {
        margin-top: 3px;
        margin-left: 0;
    }

    .navbar #user.dropdown:hover .dropdown-menu {
        margin-top: var(--padding-margin-s-m);
    }

    .dropdown .dropdown-menu a {
        display: block;
        padding: var(--padding-margin-s);
    }

    .dropdown .dropdown-menu a:hover {
        background-color: var(--background-color-tertiary);
        text-decoration: none;
    }
}

/* Desktop View End */

/* Mobile View Start */
@media (max-width: 768px) {

    .sticky {
        position: relative;
    }

    .sticky + .contentWidth {
        padding-top: 0;
    }

    .dropdown.mobile:hover .dropdown-menu {
        display: block;
        position: absolute;
        margin-top: var(--padding-margin-xs);
        margin-left: calc(var(--padding-margin-xs) * (-1));
        background-color: var(--background-color-primary);
        z-index: 1;
        min-width: 200px;
    }

    .dropdown.mobile .dropdown-menu a {
        display: block;
        padding: var(--padding-margin-s);
    }

    .dropdown.mobile .dropdown-menu a:hover {
        background-color: var(--background-color-tertiary);
        text-decoration: none;
    }

    .navbar li {
        border-bottom: 1px solid var(--color-gray-500);
    }

    .navbar .dropdown li:last-of-type {
        border-bottom: 0;
    }

    .navbar .dropdown ul {
        margin-bottom: var(--padding-margin-s);
    }

    .navbar .navbar-nav {
        display: none;
        background-color: var(--background-color-tertiary);
        padding-bottom: var(--padding-margin-xs);
    }

    .navbar .navbar-nav li a:hover {
        text-decoration: underline;
        margin-bottom: unset;
        border-bottom: unset;
    }

    .navbar .navbar-nav.open {
        display: block;
        border-top: 2px solid var(--background-color-quaternary);
        background-color: var(--background-color-ci);
        filter: brightness(150%);
    }

    .navbar .caret {
        display: none;
    }

    .navbar .dropdown-menu {
        display: block;
        position: unset;
        margin: 0 var(--padding-margin-s);
        background-color: var(--background-color-quaternary);
        box-shadow: none;
    }

    .navbar #user {
        background-color: var(--background-color-tertiary);
        display: none;
        border-bottom: 4px solid var(--font-color-prim);
        padding: var(--padding-margin-s);
    }

    .navbar #user.show {
        display: block;
    }

    .navbar #user.show .dropdown-menu {
        display: block;
        margin: 0;
    }

    .navbar #user .dropdown-menu {
        text-align: center;
    }

    .navbar #user.show a {
        display: block;
        padding: var(--padding-margin-s) var(--padding-margin-s) var(--padding-margin-s) 0;
    }

    .navbar .websitename .navbar-brand {
        display: inline-block;
    }

    .hamburger-menu {
        display: block;
        position: absolute;
        right: 20px;
        top: 22px;
        padding: var(--padding-margin-s);
    }

    .hamburger-menu .line {
        height: 4px;
        width: 26px;
        background: var(--background-color-secundary);
        border-radius: var(--border-radius);
        display: block;
        transition: 0.5s;
        transform-origin: center;
        margin-bottom: 5px;
    }

    .hamburger-menu .line:last-of-type {
        margin-bottom: 0;
    }

    .hamburger-menu:hover {
        cursor: pointer
    }

    .hamburger-menu.open .line:nth-child(1) {
        transform: translateY(9px) rotate(-45deg);
    }

    .hamburger-menu.open .line:nth-child(2) {
        opacity: 0;
    }

    .hamburger-menu.open .line:nth-child(3) {
        transform: translateY(-9px) rotate(45deg);
    }

    .video-yt::before {
        width: 100%;
        padding-bottom: var(--padding-margin-l);
    }
}

@media only screen and (max-width: 500px) {
    .video-yt::before {
        top: 0;
        padding-top: var(--padding-margin-s);
    }
}

/* Mobile View End */

.contentText {
    font-size: 1rem;
}

.contentText a {
    color: var(--font-color-ci);
}

@keyframes heartbeat-lg {
    0% {
        transform: scale(1);
    }
    15% {
        transform: scale(1.4);
    }
    30% {
        transform: scale(1);
    }
    45% {
        transform: scale(1.4);
    }
    70% {
        transform: scale(1);
    }
}

.heartbeat-lg {
    animation: heartbeat-lg 1.6s infinite;
}

.stream-on a{
    display: block;
    margin-bottom: var(--padding-margin-m);
    line-height: 20px;
    height: 20px;
    font-size:26px;
    text-decoration: none;
}

.stream-on a:hover{
    text-decoration: underline;
}

.stream-on img {
    height: 20px;
    width: auto;
}

.stream-on li:last-of-type a {
    margin:0;
}

#scrollToTopBtn {
    display: none;
    position: fixed;
    bottom: var(--padding-margin-m);
    right: var(--padding-margin-m);
    z-index: 99;
    border: none;
    outline: none;
    background-color: var(--background-color-secundary);
    color: var(--font-color-sec);
    border-radius: var(--border-radius);
    cursor: pointer;
    padding: 10px 20px 2px 20px;
    font-size: var(--font-size-l);
    box-shadow: 1px 2px 4px var(--color-gray);
}

#scrollToTopBtn:hover {
    background-color: var(--background-color-ci);
    filter: brightness(150%);
    color: var(--color-black);
    text-decoration: none;
}

.footer {
    color: var(--font-color-sec);
    text-align: center;
    padding: var(--padding-margin-s);
    margin-top: var(--padding-margin-s);
}

.footer .navbar-brand {
    font-size: var(--font-size-l);
    font-weight: bold;
    color: var(--font-color-prim);
    text-decoration: none;
    padding: var(--padding-margin-s);
    display: block;
}

.footer ul {
    margin-bottom: var(--padding-margin-s);
}

.footer li {
    display: inline-block;
    padding: 3px;
}

.footer ul.nav li a {
    color: var(--font-color-prim);
    text-transform: uppercase;
}

.footer ul.icons li a {

    color: var(--color-green-dark);
    text-decoration: none;
    display: block;
}

.footer ul.icons li a img {
    height: 40px;
    width: auto;
}

.footer .copyright {
    padding: var(--padding-margin-s);
    color: var(--font-color-prim);
    font-size: var(--font-size-s);
}

.footer .impressum-link {
    display: block;
    margin: 2rem 0;
    text-decoration: underline;
}

.impressum {
    margin: 2rem;
    text-align: left;
    color: var(--color-black);
}

.impressum h3, .impressum h4{
    margin: 0.5rem 0;
}